import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface DataOpentelekomcloudDwsFlavorsV2Config extends cdktf.TerraformMetaArguments {
    /**
    * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/opentelekomcloud/d/dws_flavors_v2#availability_zone DataOpentelekomcloudDwsFlavorsV2#availability_zone}
    */
    readonly availabilityZone?: string;
    /**
    * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/opentelekomcloud/d/dws_flavors_v2#id DataOpentelekomcloudDwsFlavorsV2#id}
    *
    * Please be aware that the id field is automatically added to all resources in Terraform providers using a Terraform provider SDK version below 2.
    * If you experience problems setting this value it might not be settable. Please take a look at the provider documentation to ensure it should be settable.
    */
    readonly id?: string;
    /**
    * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/opentelekomcloud/d/dws_flavors_v2#memory DataOpentelekomcloudDwsFlavorsV2#memory}
    */
    readonly memory?: number;
    /**
    * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/opentelekomcloud/d/dws_flavors_v2#region DataOpentelekomcloudDwsFlavorsV2#region}
    */
    readonly region?: string;
    /**
    * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/opentelekomcloud/d/dws_flavors_v2#vcpus DataOpentelekomcloudDwsFlavorsV2#vcpus}
    */
    readonly vcpus?: number;
}
export interface DataOpentelekomcloudDwsFlavorsV2Flavors {
}
export declare function dataOpentelekomcloudDwsFlavorsV2FlavorsToTerraform(struct?: DataOpentelekomcloudDwsFlavorsV2Flavors): any;
export declare class DataOpentelekomcloudDwsFlavorsV2FlavorsOutputReference extends cdktf.ComplexObject {
    private isEmptyObject;
    /**
    * @param terraformResource The parent resource
    * @param terraformAttribute The attribute on the parent resource this class is referencing
    * @param complexObjectIndex the index of this item in the list
    * @param complexObjectIsFromSet whether the list is wrapping a set (will add tolist() to be able to access an item via an index)
    */
    constructor(terraformResource: cdktf.IInterpolatingParent, terraformAttribute: string, complexObjectIndex: number, complexObjectIsFromSet: boolean);
    get internalValue(): DataOpentelekomcloudDwsFlavorsV2Flavors | undefined;
    set internalValue(value: DataOpentelekomcloudDwsFlavorsV2Flavors | undefined);
    get availabilityZone(): string;
    get flavorId(): string;
    get memory(): number;
    get size(): number;
    get vcpus(): number;
    get volumetype(): string;
}
export declare class DataOpentelekomcloudDwsFlavorsV2FlavorsList extends cdktf.ComplexList {
    protected terraformResource: cdktf.IInterpolatingParent;
    protected terraformAttribute: string;
    protected wrapsSet: boolean;
    /**
    * @param terraformResource The parent resource
    * @param terraformAttribute The attribute on the parent resource this class is referencing
    * @param wrapsSet whether the list is wrapping a set (will add tolist() to be able to access an item via an index)
    */
    constructor(terraformResource: cdktf.IInterpolatingParent, terraformAttribute: string, wrapsSet: boolean);
    /**
    * @param index the index of the item to return
    */
    get(index: number): DataOpentelekomcloudDwsFlavorsV2FlavorsOutputReference;
}
/**
* Represents a {@link https://www.terraform.io/docs/providers/opentelekomcloud/d/dws_flavors_v2 opentelekomcloud_dws_flavors_v2}
*/
export declare class DataOpentelekomcloudDwsFlavorsV2 extends cdktf.TerraformDataSource {
    static readonly tfResourceType = "opentelekomcloud_dws_flavors_v2";
    /**
    * Create a new {@link https://www.terraform.io/docs/providers/opentelekomcloud/d/dws_flavors_v2 opentelekomcloud_dws_flavors_v2} Data Source
    *
    * @param scope The scope in which to define this construct
    * @param id The scoped construct ID. Must be unique amongst siblings in the same scope
    * @param options DataOpentelekomcloudDwsFlavorsV2Config = {}
    */
    constructor(scope: Construct, id: string, config?: DataOpentelekomcloudDwsFlavorsV2Config);
    private _availabilityZone?;
    get availabilityZone(): string;
    set availabilityZone(value: string);
    resetAvailabilityZone(): void;
    get availabilityZoneInput(): string | undefined;
    private _flavors;
    get flavors(): DataOpentelekomcloudDwsFlavorsV2FlavorsList;
    private _id?;
    get id(): string;
    set id(value: string);
    resetId(): void;
    get idInput(): string | undefined;
    private _memory?;
    get memory(): number;
    set memory(value: number);
    resetMemory(): void;
    get memoryInput(): number | undefined;
    private _region?;
    get region(): string;
    set region(value: string);
    resetRegion(): void;
    get regionInput(): string | undefined;
    private _vcpus?;
    get vcpus(): number;
    set vcpus(value: number);
    resetVcpus(): void;
    get vcpusInput(): number | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
